Compliance

Generate data processing record (GDPR Article 30)

Generate GDPR Article 30 compliant data processing record

AuthBearer (JWT)
GroupCompliance
Rate limitSee Rate Limits
POST/api/compliance/data-processing-record

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, ComplianceApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const compliance = new ComplianceApi(configuration);
import { Configuration, ComplianceApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const compliance = new ComplianceApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await compliance.generateDataProcessingRecord(
  {
    orgId: "org_ypeiZxsVU9",
    recordDate: "pixel bypass"
  }
);
const { data: result } = await compliance.generateDataProcessingRecord(
  {
    orgId: "org_ypeiZxsVU9",
    recordDate: "pixel bypass"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "orgId": "685acbe0e129932fbb7a0fc3",
  "recordDate": "2024-12-16T00:00:00Z"
}
{
  "orgId": "685acbe0e129932fbb7a0fc3",
  "recordDate": "2024-12-16T00:00:00Z"
}

Responses

200Data processing record generated
json
{
  "success": true,
  "message": "Data processing record generated",
  "data": {
    "orgId": "685acbe0e129932fbb7a0fc3",
    "recordDate": "2024-12-16T00:00:00.000Z",
    "processingActivities": [],
    "generatedAt": "2024-01-15T10:00:00.000Z"
  }
}
{
  "success": true,
  "message": "Data processing record generated",
  "data": {
    "orgId": "685acbe0e129932fbb7a0fc3",
    "recordDate": "2024-12-16T00:00:00.000Z",
    "processingActivities": [],
    "generatedAt": "2024-01-15T10:00:00.000Z"
  }
}
400
401

Errors

CodeMeaning
400
401
Edit this page on GitHub